> For the complete documentation index, see [llms.txt](https://docs.opencollective.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opencollective.com/help/contributing/development/api/events.md).

# Events

## List events

`/:collectiveSlug/events.json`

E.g. <https://opencollective.com/sustainoss/events.json?limit=10&offset=0>

```
[
  {
    "id": 8770,
    "name": "Sustain Summit 2017 - San Francisco",
    "description": "A one day conversation for Open Source Software sustainers",
    "slug": "2017-442ev",
    "image": "https://opencollective-production.s3.us-west-1.amazonaws.com/6efa1900-d715-11e9-83ac-07a1cc2eb17c.png",
    "startsAt": "Mon Jun 19 2017 17:00:00 GMT+0000 (UTC)",
    "endsAt": "Thu Mar 16 2017 01:00:00 GMT+0000 (UTC)",
    "location": {
      "name": "GitHub HQ",
      "address": "88 Colin P Kelly Jr Street, San Francisco, CA",
      "lat": 37.782267,
      "long": -122.391248
    },
    "url": "https://opencollective.com/sustainoss/events/2017-442ev",
    "info": "https://opencollective.com/sustainoss/events/2017-442ev.json"
  }
]
```

Parameters:

* limit: number of events to return
* offset: number of events to skip (for pagination)

Notes:

* `url` is the url of the page of the event on opencollective.com
* `info` is the url to get the detailed information about the event in json

## Get event info <a href="#get-info" id="get-info"></a>

`/:collectiveSlug/events/:eventSlug.json`

E.g. <https://opencollective.com/sustainoss/events/2017-442ev.json>

```
{
  "id": 8770,
  "name": "Sustain Summit 2017 - San Francisco",
  "description": "A one day conversation for Open Source Software sustainers",
  "longDescription": "A one day conversation for Open Source Software sustainers\n\nNo keynotes, expo halls or talks.\nOnly discussions about how to get more resources to support digital infrastructure.\n\n# What\nA guided discussion about getting and distributing money or services to the Open Source community. The conversation will be facilitated by [Gunner](https://aspirationtech.org/about/people/gunner) from AspirationTech.\n\n# Sustainer?\nA sustainer is someone who evangelizes and passionately advocates for the needs of open source contributors.\n\nThey educate the public through blog posts, talks &amp; social media about the digital infrastructure that they use everyday and for the most part, take for granted.\n\nThey convince the companies that they work for to donate money, infrastructure, goods and/or services to the community at large. They also talk to the companies that they don’t work for about the benefits sustaining open source for the future.\n\n# Connect\n- Slack\nhttps://changelog.com/community\n\\#sustain\n- Twitter\n[@sustainoss](https://twitter.com/sustainoss)\n- GitHub\nhttps://github.com/sustainers/\n\n# Scholarships\nWe welcome everyone who wants to contribute to this conversation. Email us hello@sustainoss.org if the ticket doesn't fit your budget.\n\n# SUSTAIN IS SOLD OUT 🎉🎉 \nWe are still accepting sponsorships if you'd like to contribute. ",
  "slug": "2017-442ev",
  "image": "https://opencollective-production.s3.us-west-1.amazonaws.com/6efa1900-d715-11e9-83ac-07a1cc2eb17c.png",
  "startsAt": "Mon Jun 19 2017 17:00:00 GMT+0000 (UTC)",
  "endsAt": "Thu Mar 16 2017 01:00:00 GMT+0000 (UTC)",
  "location": {
    "name": "GitHub HQ",
    "address": "88 Colin P Kelly Jr Street, San Francisco, CA",
    "lat": 37.782267,
    "long": -122.391248
  },
  "currency": "USD",
  "tiers": [
    {
      "id": 10,
      "name": "sponsor",
      "description": "Contribute to the travel & accommodation fund your logo/link on website\n$25 credit for sticker swap table.",
      "amount": 100000
    }
  ],
  "url": "https://opencollective.com/sustainoss/events/2017-442ev",
  "attendees": "https://opencollective.com/sustainoss/events/2017-442ev/attendees.json"
}
```

Notes:

* `url` is the url of the page of the event on opencollective.com
* `attendees` is the url to get the list of attendees in JSON


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.opencollective.com/help/contributing/development/api/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
